Bug 232823 - net/chrony: Update to 3.4
Summary: net/chrony: Update to 3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-10-30 18:16 UTC by Colin T.
Modified: 2018-12-04 05:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yonas)


Attachments
Upgrade to v3.4 (767 bytes, patch)
2018-10-30 18:16 UTC, Colin T.
tobik: maintainer-approval? (yonas)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Colin T. 2018-10-30 18:16:32 UTC
Created attachment 198781 [details]
Upgrade to v3.4

Changes in 3.4
=====================

Enhancements:
- Add filter option to server/pool/peer directive
- Add minsamples and maxsamples options to hwtimestamp directive
- Add support for faster frequency adjustments in Linux 4.19
- Change default pidfile to /var/run/chrony/chronyd.pid to allow chronyd without root privileges to remove it on exit
- Disable sub-second polling intervals for distant NTP sources
- Extend range of supported sub-second polling intervals
- Get/set IPv4 destination/source address of NTP packets on FreeBSD
- Make burst options and command useful with short polling intervals
- Modify auto_offline option to activate when sending request failed
- Respond from interface that received NTP request if possible
- Add onoffline command to switch between online and offline state according to current system network configuration
- Improve example NetworkManager dispatcher script

Bug fixes:
- Avoid waiting in Linux getrandom system call
- Fix PPS support on FreeBSD and NetBSD
Comment 1 Tobias Kortkamp freebsd_committer 2018-10-30 20:09:11 UTC
Comment on attachment 198781 [details]
Upgrade to v3.4

Add missing maintainer-approval flag on attachment.
Comment 2 commit-hook freebsd_committer 2018-11-23 20:46:54 UTC
A commit references this bug:

Author: swills
Date: Fri Nov 23 20:46:28 UTC 2018
New revision: 485706
URL: https://svnweb.freebsd.org/changeset/ports/485706

Log:
  net/chrony: Update to 3.4

  PR:		232823
  Submitted by:	Colin T. <bugzilla@nulldir.e4ward.com>
  Approved by:	maintainer timeout (yonas@fizk.net, >3 weeks)

Changes:
  head/net/chrony/Makefile
  head/net/chrony/distinfo
Comment 3 Steve Wills freebsd_committer 2018-11-23 20:47:37 UTC
Committed, thanks!